version: '3.7'

services:
    shadowcker:
        image: shadowcker:latest
        privileged: true
        shm_size: 2gb
        environment:
            - XDG_RUNTIME_DIR=/run/user/${USER_ID}
            - DISPLAY=$DISPLAY
            - PULSE_SERVER=unix:/run/user/${USER_ID}/pulse/native
            - DBUS_SESSION_BUS_ADDRESS=unix:path=/run/user/${USER_ID}/bus
        volumes:
            - /run/udev/data:/run/udev/data
            - /tmp/.X11-unix:/tmp/.X11-unix:rw
            - /run/user/${USER_ID}/pulse:/run/user/1000/pulse
            - config:/home/shadow-user/.config
            - cache:/home/shadow-user/.cache
            - local:/home/shadow-user/.local
            - /run/user/${USER_ID}:/run/user/1000
        devices:
            - /dev/dri:/dev/dri:rwm
            - /dev/fuse:/dev/fuse
            - /dev/input:/dev/input
        networks:
            - shadowcker

volumes:
    config:
    cache:
    local:
    appimage:

networks:
    shadowcker:
        name: shadowcker
